Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis
Class DefaultOpenMapAgent

    java.lang.Object
      anl.repast.gis.DefaultOpenMapAgent

All Implemented Interfaces:
  GisAgent, OpenMapAgent

    public class DefaultOpenMapAgent

extends java.lang.Object
implements OpenMapAgent

Author:
  Robert Najlis

Constructor Summary
`DefaultOpenMapAgent()`

Method Summary
`java.awt.Paint` | `getFillPaint()`
`int` | `getGisAgentIndex()`
`int[]` | `getNeighbors()`
`com.bbn.openmap.omGraphics.OMGraphic` | `getOMGraphic()`
`java.lang.String[]` | `gisPropertyList()` This list is expected to consist of pairs of Strings.
`void` | `setGisAgentIndex(int index)`
`void` | `setNeighbors(int[] neighbors)`
`void` | `setOMGraphic(com.bbn.openmap.omGraphics.OMGraphic omg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultOpenMapAgent

    public DefaultOpenMapAgent()

Method Detail

### getGisAgentIndex

    public int getGisAgentIndex()

  Specified by:
    `getGisAgentIndex` in interface `GisAgent`

### setGisAgentIndex

    public void setGisAgentIndex(int index)

  Specified by:
    `setGisAgentIndex` in interface `GisAgent`

### gisPropertyList

    public java.lang.String[] gisPropertyList()

  Description copied from interface: `GisAgent`
  This list is expected to consist of pairs of Strings. the first is the name to be displayed, the second is the function to be called to get the value the gisPropertyList is used for displaying agent in OpenMap and for the writeAgentsNoShp function

  Specified by:
    `gisPropertyList` in interface `GisAgent`
  Returns:

### getFillPaint

    public java.awt.Paint getFillPaint()

  Specified by:
    `getFillPaint` in interface `OpenMapAgent`

### setNeighbors

    public void setNeighbors(int[] neighbors)

  Specified by:
    `setNeighbors` in interface `GisAgent`

### getNeighbors

    public int[] getNeighbors()

  Specified by:
    `getNeighbors` in interface `GisAgent`

### getOMGraphic

    public com.bbn.openmap.omGraphics.OMGraphic getOMGraphic()

  Specified by:
    `getOMGraphic` in interface `OpenMapAgent`

### setOMGraphic

    public void setOMGraphic(com.bbn.openmap.omGraphics.OMGraphic omg)

  Specified by:
    `setOMGraphic` in interface `OpenMapAgent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD